Skip to main content
`Ctrl`+`K`

# numpy.iinfo

class numpy.iinfo(type)

  Machine limits for integer types.

  Parameters:
    int_type integer type, dtype, or instance

      The kind of integer data type to get information about.

  Attributes:
    bits int

      The number of bits occupied by the type.

    dtype dtype

      Returns the dtype for which `iinfo` returns information.

    `min` int

      Minimum value of given dtype.

    `max` int

      Maximum value of given dtype.

  See also

  `finfo`

    The equivalent for floating point data types.

  Examples

  With types:

      >>> import numpy as np
      >>> ii16 = np.iinfo(np.int16)
      >>> ii16.min
      -32768
      >>> ii16.max
      32767
      >>> ii32 = np.iinfo(np.int32)
      >>> ii32.min
      -2147483648
      >>> ii32.max
      2147483647

  With instances:

      >>> ii32 = np.iinfo(np.int32(10))
      >>> ii32.min
      -2147483648
      >>> ii32.max
      2147483647